assert

来自「实战Linux编程的原代码,希望对学驱动的人能有所帮助」· 代码 · 共 50 行

TXT
50
字号
#!/bin/sh# This test fails with tail from textutils-2.0.# It would get something like this:#   tail: tail.c:718: recheck: Assertion `valid_file_spec (f)' failed.#   Aborted# due to a race condition in which a dev/inode pair is reused.if test "$VERBOSE" = yes; then  set -x  tail --versionfitmp=tail-assert.$$pwd=`pwd`trap "cd $pwd; rm -rf $tmp" 0 1 2 3 15test_failure=0mkdir $tmp || test_failure=1cd $tmp || test_failure=1if test $test_failure = 1; then  echo 'failure in testing framework'  exit 1fiok='ok ok ok'touch a footail --follow=name a foo > err 2>&1 &tail_pid=$!# Arrange for the tail process to die after 12 seconds.(sleep 12; kill $tail_pid) &rm -f fooecho sleeping for 7 seconds...sleep 7echo $ok > fmv f foo# echo waiting....waitcase "`cat err`" in  *$ok) fail=0;;  *) fail=1;;esactest $fail = 1 && cat errexit $fail

⌨️ 快捷键说明

复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?